---
updatedAt: 2026-06-12T20:28:13.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further.

# List holidays (deprecated)

**DEPRECATED**. Call the Call the [List holiday calendars](ref:list-holiday-calendars) endpoint instead.

This endpoint is deprecated starting April 30, 2026, and final removal from both test (EXT) and production environments on October 30, 2026.

Return a paginated list of holidays registered for an organization.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Platform setup - Holidays",
    "description": "Manage business and non-business days by organization",
    "version": "v1.0",
    "contact": {
      "name": "Pismo Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/holidays-core",
      "description": "API sandbox server for testing"
    }
  ],
  "security": [
    {
      "S2SAuthentication": []
    }
  ],
  "tags": [
    {
      "name": "Holidays (deprecated)",
      "description": "View and manage business and non-business days configurations."
    }
  ],
  "components": {
    "parameters": {
      "AdminDivisionIDQuery": {
        "name": "administrativeDivisionId",
        "in": "query",
        "description": "Administrative Division ID filter",
        "required": true,
        "schema": {
          "type": "integer",
          "format": "int32"
        }
      },
      "BeginDateQuery": {
        "name": "beginDate",
        "in": "query",
        "description": "Get results on or after this date. \n\nThis field indicates what part of the year to start searching for holidays, not when the holiday was created at Pismo.\n\nFormat = yyyy-mm-dd. Must be less than or equal to `endDate`.\n",
        "schema": {
          "type": "string",
          "example": "2025-12-24"
        }
      },
      "EndDateQuery": {
        "name": "endDate",
        "in": "query",
        "description": "Get holidays on or before this date. \n\nThis field indicates what part of the year to end searching for holidays, not when the holiday was created at Pismo.\n\nFormat: yyyy-mm-dd. Must be greater than or equal to `beginDate`.\"\n",
        "schema": {
          "type": "string",
          "example": "2025-11-02"
        }
      },
      "HolidayCalendarNameQuery": {
        "name": "name",
        "in": "query",
        "description": "Holiday calendar name filter",
        "schema": {
          "type": "string",
          "maxLength": 80,
          "example": "Independance Day"
        }
      },
      "HolidayDateQuery": {
        "name": "holidayDate",
        "in": "query",
        "description": "Holiday date filter. Format = yyyy-mm-dd.",
        "schema": {
          "type": "string",
          "example": "2023-01-01"
        }
      },
      "OrderByQuery": {
        "name": "orderBy",
        "in": "query",
        "description": "Sort by `ID` or `NAME`. Default = `ID`.",
        "schema": {
          "type": "string",
          "enum": [
            "ID",
            "NAME"
          ],
          "example": "ID"
        }
      },
      "OrderQuery": {
        "name": "order",
        "in": "query",
        "description": "Sort order: `ASC` (ascending) or `DESC` (descending). Default = `ASC`.\n",
        "schema": {
          "type": "string",
          "enum": [
            "ASC",
            "DESC"
          ],
          "example": "ASC"
        }
      },
      "PageNumberQuery": {
        "name": "page",
        "in": "query",
        "description": "Page number.  Default = `1`.",
        "schema": {
          "type": "integer",
          "minimum": 1,
          "format": "int32",
          "example": 5
        }
      },
      "PerPageQuery": {
        "name": "perPage",
        "in": "query",
        "description": "Items per page. Default =  `10`. Maximum = `100`.",
        "schema": {
          "type": "integer",
          "format": "int32",
          "minimum": 1,
          "maximum": 100,
          "example": 30
        }
      }
    },
    "schemas": {
      "CreatedAt": {
        "type": "string",
        "format": "datetime",
        "description": "Date and time the holiday was created. Format = yyyy-mm-ddTHH:mm:ss.",
        "example": "2024-04-30T17:24:03"
      },
      "CurrentPage": {
        "type": "integer",
        "description": "Current result page",
        "example": 1
      },
      "handler.HTTPError": {
        "description": "Error",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code"
          },
          "message": {
            "type": "string",
            "description": "Error message"
          }
        }
      },
      "HolidayDate": {
        "type": "string",
        "description": "Holiday date. Format = yyyy-mm-dd.",
        "example": "2023-12-01"
      },
      "HolidayID": {
        "type": "integer",
        "description": "Holiday ID",
        "example": 8675309
      },
      "HolidayName": {
        "type": "string",
        "description": "Holiday name",
        "example": "New Year's Day",
        "maxLength": 80,
        "minLength": 1
      },
      "NextBusinessDate": {
        "type": "string",
        "format": "date",
        "description": "Next work day following the holiday. Format = yyyy-mm-dd.",
        "example": "2023-01-02"
      },
      "Pages": {
        "type": "integer",
        "description": "Total number of result pages.",
        "example": 1
      },
      "pagination.Pagination": {
        "type": "object",
        "properties": {
          "current_page": {
            "$ref": "#/components/schemas/CurrentPage"
          },
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/presenter.HolidayResponse"
            }
          },
          "pages": {
            "$ref": "#/components/schemas/Pages"
          },
          "per_page": {
            "$ref": "#/components/schemas/PerPage"
          },
          "total_items": {
            "$ref": "#/components/schemas/TotalItems"
          }
        }
      },
      "PerPage": {
        "type": "integer",
        "description": "Maximum results per page",
        "example": 10
      },
      "presenter.AdministrativeDivisionResponse": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Administrative division ID",
            "example": 1111
          },
          "name": {
            "description": "Administrative division name",
            "type": "string",
            "example": "Brazil"
          }
        }
      },
      "presenter.HolidayResponse": {
        "type": "object",
        "properties": {
          "administrative_division": {
            "$ref": "#/components/schemas/presenter.AdministrativeDivisionResponse"
          },
          "id": {
            "$ref": "#/components/schemas/HolidayID"
          },
          "name": {
            "$ref": "#/components/schemas/HolidayName"
          },
          "holiday_date": {
            "$ref": "#/components/schemas/HolidayDate"
          },
          "next_business_date": {
            "$ref": "#/components/schemas/NextBusinessDate"
          },
          "created_at": {
            "$ref": "#/components/schemas/CreatedAt"
          }
        }
      },
      "TotalItems": {
        "type": "integer",
        "description": "Total number of result items",
        "example": 11
      }
    },
    "responses": {
      "400BadRequestListHolidays": {
        "description": "Bad request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/handler.HTTPError"
            },
            "examples": {
              "missing-x-tenant-header": {
                "$ref": "#/components/examples/BadRequestResponseMissingHeader"
              },
              "invalid-order-query": {
                "$ref": "#/components/examples/BadRequestResponseInvalidOrder"
              },
              "invalid-perpage-query": {
                "$ref": "#/components/examples/BadRequestResponseInvalidPerPage"
              },
              "end-date-before-begin-date": {
                "$ref": "#/components/examples/BadRequestResponseEndDateBeforeBeginDate"
              },
              "end-date-wrong-format": {
                "$ref": "#/components/examples/BadRequestResponseEndDateWrongFormat"
              },
              "begin-date-wrong-format": {
                "$ref": "#/components/examples/BadRequestResponseBeginDateWrongFormat"
              }
            }
          }
        }
      },
      "401UnauthorizedError": {
        "description": "Access token missing or invalid"
      },
      "404NotFound": {
        "description": "Not found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/handler.HTTPError"
            },
            "examples": {
              "response-missing-tenant": {
                "$ref": "#/components/examples/NotFoundResponse"
              }
            }
          }
        }
      },
      "500InternalServerError": {
        "description": "Internal server error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/handler.HTTPError"
            },
            "examples": {
              "generic-internal-error": {
                "$ref": "#/components/examples/InternalServerErrorResponse"
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "S2SAuthentication": {
        "type": "http",
        "scheme": "bearer",
        "description": "All requests must pass an [account-specific token](https://developers.pismo.io/pismo-docs/docs/account-specific-access-tokens).\n"
      }
    },
    "examples": {
      "InternalServerErrorResponse": {
        "value": {
          "code": "EHLD0001",
          "message": "Something went wrong - please try again"
        }
      },
      "BadRequestResponseMissingHeader": {
        "value": {
          "code": "EHLD0016",
          "message": "Missing x-tenant header"
        }
      },
      "BadRequestResponseInvalidPerPage": {
        "value": {
          "code": "EHLD0039",
          "message": "Invalid 'perPage' query param with value '10A'. PerPage must be > 0."
        }
      },
      "BadRequestResponseInvalidOrder": {
        "value": {
          "code": "EHLD0041",
          "message": "Invalid 'order' query param with value 'ascaa'. Order must be asc or desc."
        }
      },
      "BadRequestResponseEndDateBeforeBeginDate": {
        "value": {
          "code": "EHLD0046",
          "message": "End date before Begin date"
        }
      },
      "BadRequestResponseBeginDateWrongFormat": {
        "value": {
          "code": "EHLD0047",
          "message": "Begin date with the wrong format"
        }
      },
      "BadRequestResponseEndDateWrongFormat": {
        "value": {
          "code": "EHLD0048",
          "message": "End date with the wrong format"
        }
      },
      "NotFoundResponse": {
        "value": {
          "code": "404",
          "message": "{target name} not found"
        }
      }
    }
  },
  "paths": {
    "/holidays-core/v1/holiday": {
      "get": {
        "summary": "List holidays (deprecated)",
        "description": "**DEPRECATED**. Call the Call the [List holiday calendars](https://developers.pismo.io/pismo-docs/reference/list-holiday-calendars) endpoint instead.\n\nThis endpoint is deprecated starting April 30, 2026, and final removal from both test (EXT) and production environments on October 30, 2026.\n\nReturn a paginated list of holidays registered for an organization.\n",
        "operationId": "get-v1-holidays",
        "deprecated": true,
        "tags": [
          "Holidays (deprecated)"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/PageNumberQuery"
          },
          {
            "$ref": "#/components/parameters/PerPageQuery"
          },
          {
            "$ref": "#/components/parameters/OrderQuery"
          },
          {
            "$ref": "#/components/parameters/OrderByQuery"
          },
          {
            "$ref": "#/components/parameters/AdminDivisionIDQuery"
          },
          {
            "$ref": "#/components/parameters/HolidayCalendarNameQuery"
          },
          {
            "$ref": "#/components/parameters/HolidayDateQuery"
          },
          {
            "$ref": "#/components/parameters/BeginDateQuery"
          },
          {
            "$ref": "#/components/parameters/EndDateQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/pagination.Pagination"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequestListHolidays"
          },
          "401": {
            "$ref": "#/components/responses/401UnauthorizedError"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServerError"
          }
        }
      }
    }
  }
}
```